org.apache.poi.hemf.record.emf

## Class HemfMisc.EmfExtCreatePen

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfMisc.WmfCreatePenIndirect
  - - org.apache.poi.hemf.record.emf.HemfMisc.EmfCreatePen
    - - org.apache.poi.hemf.record.emf.HemfMisc.EmfExtCreatePen

- All Implemented Interfaces:
    GenericRecord, HemfRecord, HwmfObjectTableEntry, HwmfRecord
  Enclosing class:
    HemfMisc

      public static class HemfMisc.EmfExtCreatePen
      extends HemfMisc.EmfCreatePen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HwmfBitmapDib` | `bitmap`
    `protected HwmfBrushStyle` | `brushStyle`
    `protected HwmfHatchStyle` | `hatchStyle`

    - ### Fields inherited from class org.apache.poi.hemf.record.emf.HemfMisc.EmfCreatePen

      `penIndex`

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfMisc.WmfCreatePenIndirect

      `colorRef, dimension, penStyle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfExtCreatePen()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HwmfBitmapDib` | `getBitmap()`
    `HwmfBrushStyle` | `getBrushStyle()`
    `HemfRecordType` | `getEmfRecordType()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `java.lang.Enum` | `getGenericRecordType()`
    `HwmfHatchStyle` | `getHatchStyle()`
    `long` | `init(LittleEndianInputStream leis, long recordSize, long recordId)` Init record from stream
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hemf.record.emf.HemfMisc.EmfCreatePen

      `draw, getPenIndex`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfMisc.WmfCreatePenIndirect

      `applyObject, draw, getColorRef, getDimension, getPenStyle, getWmfRecordType, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emf.HemfRecord

      `setHeader`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Field Detail

    - #### brushStyle

          protected HwmfBrushStyle brushStyle

    - #### hatchStyle

          protected HwmfHatchStyle hatchStyle

    - #### bitmap

          protected final HwmfBitmapDib bitmap

  - ### Constructor Detail

    - #### EmfExtCreatePen

          public EmfExtCreatePen()

  - ### Method Detail

    - #### getEmfRecordType

          public HemfRecordType getEmfRecordType()

      Specified by:
        `getEmfRecordType` in interface `HemfRecord`
      Overrides:
        `getEmfRecordType` in class `HemfMisc.EmfCreatePen`

    - #### init

          public long init(LittleEndianInputStream leis,
                           long recordSize,
                           long recordId)
                    throws java.io.IOException

      Description copied from interface: `HemfRecord`
      Init record from stream
      Specified by:
        `init` in interface `HemfRecord`
      Overrides:
        `init` in class `HemfMisc.EmfCreatePen`
      Parameters:
        `leis` - the little endian input stream
        `recordSize` - the size limit for this record
        `recordId` - the id of the `HemfRecordType`
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException` - when the inputstream is malformed

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `HemfMisc.EmfCreatePen`

    - #### getBrushStyle

          public HwmfBrushStyle getBrushStyle()

    - #### getHatchStyle

          public HwmfHatchStyle getHatchStyle()

    - #### getBitmap

          public HwmfBitmapDib getBitmap()

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`
      Overrides:
        `getGenericProperties` in class `HemfMisc.EmfCreatePen`

    - #### getGenericRecordType

          public java.lang.Enum getGenericRecordType()

      Specified by:
        `getGenericRecordType` in interface `GenericRecord`
      Specified by:
        `getGenericRecordType` in interface `HemfRecord`
      Specified by:
        `getGenericRecordType` in interface `HwmfRecord`
      Overrides:
        `getGenericRecordType` in class `HemfMisc.EmfCreatePen`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.